
/*
 *	GSMPPkg.h
 */
#ifndef __GSMPPKG_H__
#define __GSMPPKG_H__

#include "ConfMsg.h"

#include "GSMP.h"

class CGSMPPkg
{
public:
	CGSMPPkg();
	~CGSMPPkg();

	int GetPkgHead(const char *pFromTcp, CGSMPHead &mHead);

	int GetPkgType(const char *pBuf);
	int GetPkgLen(const char *pBuf);
	int GetPkgSeq(const char *pBuf);
	int GetPkgVersion(const char *pBuf);

	int GetRespResult(const char *pBuf);

	//translate pBuf to sMsg:
	//
	void ComposePkg
	(
		void *pMsg, 
		const char *pBuf,
		int *pPkgType = NULL
	);

	//translate sMsg to pBuf:
	//ֽ
	void DeComposePkg
	(
		unsigned int nPkgType, 
		void *pMsg, 
		char *pBuf,
		int *pLen
	);

protected:

public:
	static unsigned int GetSeqno();
	void GetTimeStamp(time_t iTime, char *pTimeStamp);
};

#endif



