#ifndef __TXTLOG_H__
#define __TXTLOG_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <errno.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <unistd.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <string>
#include <iostream>
#include <pthread.h>
#include <fcntl.h>
#include <signal.h>
#include <fstream>
using namespace std;

#ifdef WIN32
#include <afxmt.h>
#endif

class CTXTLog
{
public:
        CTXTLog(void);
		CTXTLog(char *pPreFile);
		CTXTLog(char *pPreFile, bool bChange);
//      CTXTLog(char *pFile = NULL);
        ~CTXTLog(void);

		//־ļǰ׺
		void SetFilePre(char *pPre);

		//־
		void SetLogLevel(int nLevel);

		//nLevel >= m_nLogLevelŻдļĻ
		void AddLog(char *pLog, int nLevel = 0); 
		void AddLog(string &strLog, int nLevel = 0); 

private:
		void GetDateBuf(char *pDate, int nType=0);
		void add(char *pLog);

private:
	        int m_nHan;
	        char m_cFile[256]; //logļ
#ifdef WIN32
		CMutex m_log_mutex;
#endif
#ifdef LINUX
		pthread_mutex_t m_log_mutex;
#endif
		char m_cPreFile[20];//logļǰ׺
		int m_nLogLevel; //־

		bool m_bLogNameChange;

};

#endif


