#include "XmlDocBase.h"

/*-----------------------------------------
ܣCXmlDocBaseĹ췽
	type: 
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
CXmlDocBase::CXmlDocBase(const int type)
{
        m_iMsgType = type;
}

CXmlDocBase::~CXmlDocBase()
{
}

/*-----------------------------------------
ܣִļĹ췽
	type: ļִ
		str: ļִָ
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::Parse(const char *str, const int type)
{
	// ļļXML
	if(type != 0){
		if(!m_tXmlDoc.LoadFile(str)){
			printf( "Could not load file '%s'. Error='%s'. Exiting.\n", str, m_tXmlDoc.ErrorDesc());
			return false;
		}
	// ִַXML
	}else{
		m_tXmlDoc.Parse(str);
		if(m_tXmlDoc.Error()){
			printf("------Error Xml format!!!------\n");
			return false;
		}
	}

	// ðͺͰ
	if(!GetTypeAndBody())
		return false;

	// ð
	if(!SetProperty())
		return false;

	return true;
}

/*-----------------------------------------
ܣðͺͰϢ
	
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::GetTypeAndBody(void)
{
    TiXmlNode *node = NULL, *node1 = NULL;
    TiXmlElement *element;

	// ȡøڵ
    node = m_tXmlDoc.FirstChild(m_RootNode);
	if(node != NULL){
		// ȡðָ
		element = node->ToElement();
		node = element->LastChild(m_BodyNode);
		if(node != NULL)
			m_eBody = node->ToElement();
		else{
			printf("------Wrong body node!!------\n");
			return false;
		}

		// ȡðͷָ
		node1 = element->FirstChild(m_HeadNode);
		if(node1 != NULL)
			m_eHead = node1->ToElement();
		else{
			printf("------Wrong head node!!------\n");
			return false;
		}
		return true;
	}else{
		printf("------Wrong root node!!------\n");
		return false;
	}
}

/*-----------------------------------------
ܣøڵ
	node: ڵ
		name: 
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::SetRoot(const char *node, const char *name)
{
	strcpy(m_RootNode, node);
	strcpy(m_RootName, name);
}

/*-----------------------------------------
ܣðͷ
	node: ڵ
		name: 
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::SetHead(const char *node, const char *name)
{
	strcpy(m_HeadNode, node);
	strcpy(m_HeadName, name);
}

/*-----------------------------------------
ܣð
	node: ڵ
		name: 
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::SetBody(const char *node, const char *name)
{
	strcpy(m_BodyNode, node);
	strcpy(m_BodyName, name);
}

/*-----------------------------------------
ܣһ
	name
		valueֵַ
		posλ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::InsertItem(const char *name, const char *value, int pos)
{
	// 
    TiXmlElement item(m_NodeName);
    item.SetAttribute("Name", name);
    item.SetAttribute("Value", value);

	// 뵽ͷ
	if(pos == 1)
		m_eBody->InsertEndChild(item);
	else m_eHead->InsertEndChild(item);
//  m_tXmlDoc.Print( stdout);
}

/*-----------------------------------------
ܣһ
	name
		valueֵ
		posλ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::InsertItem(const char *name, const int value, int pos)
{
	// 
    TiXmlElement item(m_NodeName);
    item.SetAttribute("Name", name);
    item.SetAttribute("Value", value);

	// 뵽ͷ
    if(pos == 1)
		m_eBody->InsertEndChild(item);
    else m_eHead->InsertEndChild(item);
//  m_tXmlDoc.Print( stdout);
}

/*-----------------------------------------
ܣһ
	name
		valueֵַ
		posλ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::InsertItem(const char *name, const char value, int pos)
{
	// 
    TiXmlElement item(m_NodeName);
    item.SetAttribute("Name", name);
    char v[2];
    sprintf(v, "%c", value);
    item.SetAttribute("Value", v);

	// 뵽ͷ
    if(pos == 1)
		m_eBody->InsertEndChild(item);
    else m_eHead->InsertEndChild(item);
//      m_tXmlDoc.Print( stdout);
}

/*-----------------------------------------
ܣƻֵ
	name
		valueֵ
		posλ
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::GetItemByName(const char *name, char *value, int pos)
{
	// 쿴һǷƥ
	TiXmlNode *tempnode = NULL;
	if(pos == 0)
		tempnode = m_eHead->FirstChildElement();
	else tempnode = m_eBody->FirstChildElement();
	if(!tempnode){
		m_tXmlDoc.Print(stdout);
		printf("------There are no '%s' item to get!!------\n", name);
		return false;
	}
    TiXmlElement *tempele = tempnode->ToElement();
    assert(tempele);
    if(strcmp(tempele->Attribute("Name"), name) == 0){
        strcpy(value, tempele->Attribute("Value"));
        return true;
    }
	// ѭ쿴ʣǷƥ
    while((tempnode = tempele->NextSiblingElement()) != NULL){
        assert(tempnode);
        tempele = tempnode->ToElement();
        assert(tempele);
		if(strcmp(tempele->Attribute("Name"), name) == 0){
            strcpy(value, tempele->Attribute("Value"));
            return true;
        }
	}
	printf("------There are no '%s' item to get!!------\n", name);
    return false;
}

/*-----------------------------------------
ܣƻֵ
	name
		valueֵ
		posλ
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::GetItemByName(const char *name, int& value, int pos)
{
	// 쿴һǷƥ
	TiXmlNode *tempnode = NULL;
	if(pos == 0)
		tempnode = m_eHead->FirstChildElement();
	else tempnode = m_eBody->FirstChildElement();
	if(!tempnode){
		m_tXmlDoc.Print(stdout);
		printf("------There are no '%s' item to get!!------\n", name);
		return false;
	}
    TiXmlElement *tempele = tempnode->ToElement();
    assert(tempele);
    if(strcmp(tempele->Attribute("Name"), name) == 0){
		value = atoi(tempele->Attribute("Value"));
        return true;
    }
	// ѭ쿴ʣǷƥ
    while((tempnode = tempele->NextSiblingElement()) != NULL){
        assert(tempnode);
        tempele = tempnode->ToElement();
        assert(tempele);
		if(strcmp(tempele->Attribute("Name"), name) == 0){
			value = atoi(tempele->Attribute("Value"));
            return true;
        }
	}
	printf("------There are no '%s' item to get!!------\n", name);
    return false;
}

/*-----------------------------------------
ܣɾֵ
	name
		valueֵ
		posλ
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::RemoveItemByName(const char *name, int pos)
{
    TiXmlNode *tempnode;
	TiXmlElement *temp;
	if(pos == 0)
		temp = m_eHead;
	else temp = m_eBody;
	// 쿴һǷƥ
    tempnode = temp->FirstChildElement();
	if(!tempnode){
		printf("------There are no '%s' item to remove!!------\n", name);
		return false;
	}

    TiXmlElement *tempele = tempnode->ToElement();
    assert(tempele);
    if(strcmp(tempele->Attribute("Name"), name) == 0){
		temp->RemoveChild(tempele);
        return true;
    }
	// ѭ쿴ʣǷƥ
    while((tempnode = tempele->NextSiblingElement()) != NULL){
        assert(tempnode);
        tempele = tempnode->ToElement();
        assert(tempele);
        if(strcmp(tempele->Attribute("Name"), name) == 0){
                temp->RemoveChild(tempele);
                return true;
        }
    }
	printf("------There are no '%s' item to remove!!------\n", name);
	return false;
}

/*-----------------------------------------
ܣXMLַ
	
ֵXMLַ
޸ʱ䣺2002-12-19
-----------------------------------------*/
const char *CXmlDocBase::GetXmlChar(void)
{
#ifdef TIXML_USE_STL
    //ostringstream outputStream( ostringstream::out );
    m_outputStream.str("");
    m_outputStream << m_tXmlDoc;
//	printf("%s\n", outputStream.str().c_str());
	return m_outputStream.str().c_str();
#else
	return "";
#endif
}

/*-----------------------------------------
ܣXMLַ
	valueXMLַ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::GetXmlChar(char *value)
{
#ifdef TIXML_USE_STL
    ostringstream outputStream( ostringstream::out );
    outputStream << m_tXmlDoc;
	strcpy(value, outputStream.str().c_str());
#endif
}

/*-----------------------------------------
ܣӡXMLַ
	
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::Print(void)
{
	m_tXmlDoc.Print(stdout);
}

/*-----------------------------------------
ܣXML
	
ֵֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
int CXmlDocBase::GetType(void)
{
	return m_iMsgType;
}

/*-----------------------------------------
ܣXML
	typeֵ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::SetType(const int type)
{
	sprintf(m_HeadName, "%d", type);
	strcpy(m_BodyNode, "DataBody");
	m_iMsgType = type;

	// ݰֵòͬİ
	switch(type)
    {
	case PACKET_SMT:
		strcpy(m_BodyName, "SMTDATA");
		break;
	case PACKET_SMO:
		strcpy(m_BodyName, "MODATA");
		break;
	case PACKET_AUS:
		strcpy(m_BodyName, "LOGIN");
		break;
	case PACKET_MMT:
		strcpy(m_BodyName, "GMTDATA");
		break;
    case PACKET_FIN:
        strcpy(m_BodyName, "TERMINATE");
        break;
    case PACKET_REP:
		strcpy(m_BodyName, "RPDATA");
		break;
    case PACKET_ACK:
        strcpy(m_BodyName, "QLink");
        break;
    case PACKET_SMT_RESP:
		strcpy(m_BodyName, "SMTDATA_RESP");
		break;
	case PACKET_SMO_RESP:
		strcpy(m_BodyName, "MODATA_RESP");
		break;
	case PACKET_AUS_RESP:
		strcpy(m_BodyName, "LOGIN_RESP");
		break;
	case PACKET_MMT_RESP:
		strcpy(m_BodyName, "GMTDATA_RESP");
		break;
    case PACKET_FIN_RESP:
        strcpy(m_BodyName, "TERMINATE_RESP");
        break;
    case PACKET_REP_RESP:
		strcpy(m_BodyName, "RPDATA_RESP");
		break;
    case PACKET_ACK_RESP:
        strcpy(m_BodyName, "QLink_RESP");
        break;
    case PACKET_GEN:
        strcpy(m_BodyName, "GENERAL");
        break;
	}
}

/*-----------------------------------------
ܣıXML
	typeֵ
ֵ
޸ʱ䣺2002-12-19
-----------------------------------------*/
void CXmlDocBase::ChangeType(const int type)
{
	SetType(type);
	m_eHead->SetAttribute("Name", m_HeadName);
	m_eBody->SetAttribute("Name", m_BodyName);
}

/*-----------------------------------------
ܣƸֵ
	name
		valueֵ
		posλ
ֵɹʧ
޸ʱ䣺2002-12-19
-----------------------------------------*/
bool CXmlDocBase::UpdateItemByName(const char *name, const char *value, int pos)
{
    TiXmlNode *tempnode;
	TiXmlElement *temp;
	if(pos == 0)
		temp = m_eHead;
	else temp = m_eBody;
	// 쿴һǷƥ
    tempnode = temp->FirstChildElement();
	if(!tempnode){
		printf("------There are no '%s' item to remove!!------\n", name);
		return false;
	}

    TiXmlElement *tempele = tempnode->ToElement();
    assert(tempele);
    if(strcmp(tempele->Attribute("Name"), name) == 0){
		tempele->SetAttribute("Value", value);
        return true;
    }
	// ѭ쿴ʣǷƥ
    while((tempnode = tempele->NextSiblingElement()) != NULL){
        tempele = tempnode->ToElement();
        assert(tempele);
        if(strcmp(tempele->Attribute("Name"), name) == 0){
                tempele->SetAttribute("Value", value);
                return true;
        }
    }
	printf("------There are no '%s' item to update!!------\n", name);
	return false;
}


/*
$Author: pentaho $
$LastChangedDate$
$Rev$
*/


/*
$Author: pentaho $
$LastChangedDate$
$Rev$
*/


/*
$Author: pentaho $
$LastChangedDate$
$Rev$
*/


/*
$Author: pentaho $
$LastChangedDate$
$Rev$
*/
